This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 547118 - (crun) Review Request: crun - Lightweight, easy to use, simpler cron-like tool
Review Request: crun - Lightweight, easy to use, simpler cron-like tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-13 12:10 EST by Damien Durand
Modified: 2010-06-15 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 08:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2009-12-13 12:10:59 EST
Spec URL: http://splinux.fedorapeople.org/crun/crun.spec
SRPM URL: http://splinux.fedorapeople.org/crun/crun-0.1.1-1.fc13.src.rpm
Description: crun is a light weight, easy to use, simpler cron like tool.
It Executes a given program, a specified number of times, after a specified
time interval.
Comment 1 Fabian Affolter 2009-12-21 06:19:19 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F12/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@localhost SRPMS]$ rpmlint crun-0.1.1-1.fc13.src.rpm 
     crun.src: W: strange-permission crun-0.1.1.tar.gz 0400
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
     Binary RPM(s):
     [fab@localhost i686]$ rpmlint crun*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 0865cb80e85afc598cab2ec5b4820c15
     Build source:    0865cb80e85afc598cab2ec5b4820c15
 [x] Package is not known to require ExcludeArch
 [-] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [x] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [x] -debuginfo subpackage is present and looks complete
 [-] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [?] Timestamps preserved with cp and install
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F12/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 2 Damien Durand 2009-12-23 11:33:01 EST
New Package CVS Request
=======================
Package Name: crun
Short Description: Lightweight, easy to use, simpler cron-like tool
Owners: splinux
Branches: F-11 F-12
InitialCC: splinux
Comment 3 Dennis Gilmore 2009-12-23 14:43:25 EST
CVS Done
Comment 4 Fabian Affolter 2010-06-15 07:19:28 EDT
Any particular reason to not build this package and close the review ?
Comment 5 Damien Durand 2010-06-15 08:27:18 EDT
No, no, it's built... Just a mistake with the status of this review. Thank you! :-)

Note You need to log in before you can comment on or make changes to this bug.